.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 1200;
    padding-top: 16px;
    position: relative;
    background: #fff url('../img/header__pattern.jpg') 50% 0 repeat-x;
    border-bottom: 1px solid #E8EBF0;

    &__row {
        height: 61px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: 110px;
        font-size: 0;
        line-height: 0;
        display: block;
    }



    &__social {
        font-size: 0;
        line-height: 0;
        margin-left: -5px;
        display: flex;
        align-items: center;

        a {
            height: 18px;
            margin: 0 5px;
            display: inline-block;

            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {
                
                .ico-svg {
                    fill: #040d5f;
                    transition: .3s;
                }
            }
        }
    }

    &__mobile {
        font-size: 0;
        line-height: 0;
        display: flex;
        width: 80px;
        align-items: center;
        justify-content: flex-end;

        &--search {
            height: 18px;
            display: inline-block;
            
            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {
                
                .ico-svg {
                    fill: #1D1D1B;
                    transition: .3s;
                }
            }
        }

        &--toggle {
            height: 18px;
            margin-left: 24px;
            position: relative;
            display: inline-block;
                        
            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {
                
                .ico-svg {
                    fill: #1D1D1B;
                    transition: .3s;
                }
            }
        }
    }

    &__content {
        display: none;
    }
    
    &__nav {
        margin: 0;
        padding: 0;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        list-style: none;
        display: flex;
        align-items: center;        

        li {
            margin: 0 5px 0 40px;

            a {
                opacity: 0.85;
                white-space: nowrap;
                display: inline-block;
                position: relative;
                text-decoration: none;
                color: #1D1D1B;
                transition: 0.3s;

                &:before {
                    left: 0;
                    right: 0;
                    bottom: -3px;
                    content: '';
                    height: 2px;
                    display: block;
                    position: absolute;
                    background: rgb(236,10,21);
                    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
                    opacity: 0;
                    visibility: hidden;
                    transition: .25s;
                    border-radius: 4px;
                }

                &:hover {
                    opacity: 1;
                    transition: 0.3s;

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }
            }
        }
    }

    &__search {
        flex-grow: 1;
    }

    @media (min-width: $screen-md-min) {

        &__logo {
            width: 104px;
        }
    }

    @media (min-width: $screen-lg-min) {
   
        &__row {
            height: 79px;
        }

        &__mobile {
            display: none;
        }

        &__logo {
            order: 1;
            flex-shrink: 0;
        }

        &__social {
            order: 3;
            margin: 0 -5px 0 0;
            flex-shrink: 0;
        }
        
        &__content {
            padding-left: 60px;
            padding-right: 40px;
            display: flex;
            align-items: center;
            order: 2;
            flex-grow: 1;
        }
    }
}

.nav {
    z-index: 1190;
    display: none;
    position: relative;
    background: #fff;
    border-bottom: 1px solid #E8EBF0;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.08);

    &.fix {
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    &__row {
        height: 63px;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__account {
        width: 32px;
        height: 32px;
        font-size: 0;
        line-height: 0;
        display: block;
        padding: 2px;
        margin-left: 26px;
        position: relative;
        border-radius: 50%;
        border: 1px solid #1D1D1B;

        i {
            width: 26px;
            height: 26px;
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        font-size: 1.4rem;
        line-height: 2rem;
        list-style: none;
        display: flex;
        align-items: center;

        > li {
            margin-right: 54px;

            > a {
                font-weight: 700;
                white-space: normal;
                display: inline-block;
                text-decoration: none;
                color: rgba(29,29,27,0.85);
                letter-spacing: 0.01em;
                transition: .3s;
                position: relative;

                &:before {
                    left: 0;
                    right: 0;
                    bottom: -3px;
                    content: '';
                    height: 2px;
                    display: block;
                    position: absolute;
                    background: rgb(236,10,21);
                    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
                    opacity: 0;
                    visibility: hidden;
                    transition: .25s;
                    border-radius: 4px;
                }

                &:hover {
                    color: rgba(29,29,27,1);
                    transition: .3s;

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }

                &:active {

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }
            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: block;
    }

    @media (min-width: $screen-xl-min) {

    }
}

.nav-mobile {
    top: 0;
    right: 0;
    bottom: 0;
    color: rgba(29,29,27,0.9);
    width: 320px;
    z-index: 1500;
    position: fixed;
    overflow-y: auto;
    margin-right: -340px;
    background: #fff;
    padding: 40px 25px 40px 32px;
    display: flex;
    flex-direction: column;
    transition: 0.3s;

    &.open {
        margin-right: 0;
        transition: 0.3s;
    }

    &__close {
        top: 22px;
        right: 15px;
        width: 18px;
        height: 18px;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: absolute;
        display: inline-block;

        .ico-svg {
            fill: rgba(29,29,27,0.9);
        }
    }

    &__account {
        color: rgba(29,29,27,0.9);
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        margin-bottom: 32px;
        text-decoration: none;
        display: flex;
        align-items: center;

        i {
            width: 26px;
            height: 26px;
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }

        span {
            opacity: 0.85;
            display: block;
            max-width: 100%;
            overflow: hidden;
            padding-left: 10px;
            text-overflow: ellipsis;
        }

        &:hover {
            color: #040D5F;
            text-decoration: none;
        }
    }

    &__search {
        margin-bottom: 30px;
    }

    &__menu {
        margin: 0 0 30px 0;
        padding: 0;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        list-style: none;
        flex-grow: 1;

        > li {
            margin-bottom: 20px;

            &:last-child {
                margin-bottom: 0;
            }

            > a {
                text-decoration: none;
                color: rgba(29,29,27,0.9);
                transition: .3s;
                display: flex;
                align-items: center;

                span {
                    display: block;
                }

                i {
                    width: 8px;
                    height: 16px;
                    font-size: 0;
                    line-height: 0;
                    display: block;
                    margin-left: 9px;
                }

                .ico-svg {
                    fill: rgba(29,29,27,0.9);
                }

                &:hover {
                    text-decoration: none;
                    color: #040D5F;

                    .ico-svg {
                        fill: #040D5F;
                    }
                }
            }

            > ul {
                margin: 0;
                display: none;
                padding: 15px 0 0 10px;
                list-style: none;

                > li {
                    margin-bottom: 15px;

                    > a {
                        text-decoration: none;
                        color: rgba(29,29,27,0.9);
                        transition: .3s;
                        display: flex;
                        align-items: center;

                        i {
                            width: 50px;
                            font-size: 0;
                            line-height: 0;
                            margin-right: 10px;
                            display: inline-block;
                        }

                        span {
                            display: inline-block
                        }
    
                        &:hover {
                            text-decoration: none;
                            color: #040D5F;
                            transition: .3s;
                        }
                    }
                }
            }

            &:hover {

                > a {

                    i {
                        margin-top: -9px;
                        @include rotate(90deg);
                    }
                }

                ul {
                    display: block;
                }
            }
        }
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;

        a {
            height: 18px;
            margin-right: 10px;
            display: inline-block;

            .ico-svg {
                fill: rgba(29,29,27,0.9);
                transition: .3s;
            }

            &:hover {
                
                .ico-svg {
                    fill: #040D5F;
                    transition: .3s;
                }
            }
        }
    }

    .search {
        position: relative;
    
        &__input {
            color: rgba(29,29,27,0.9);
            border: 1px solid rgba(29,29,27,0.9);
            @include placeholder(rgba(29,29,27,0.9));
        
            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }
    
        &__button {
            top: 50%;
            right: 20px;
            z-index: 10;
            width: 18px;
            height: 18px;
            border: none;
            outline: none;
            font-size: 0;
            line-height: 0;
            cursor: pointer;
            margin-top: -9px;
            position: absolute;
            display: inline-block;
            background: transparent;
    
            .ico-svg {
                fill: rgba(29,29,27,0.9);
            }
        }
    }

    &__auth {
        padding-top: 10px;
        padding-bottom: 10px;
        display: flex;
        align-items: center;
        margin-bottom: 32px;
        border-bottom: 1px solid #f1f1f1;

        &--button {
            width: 36px;
            height: 36px;
            border: none;
            outline: none;
            padding: 8px 0;
            font-size: 0;
            line-height: 0;
            margin-right: 30px;
            text-align: center;
            position: relative;
            display: inline-block;
            background: transparent;

            i {
                height: 20px;
                display: inline-block;
            }

            svg {
                fill: #000;
            }

            &:hover {
                fill: $blue-500;
            }
        }
    }
    
	@media (min-width: $screen-lg-min) {
		display: none;
	}
}

.search {
    position: relative;

    &__input {
        margin: 0;
        width: 100%;
        height: 36px;
        outline: none;
        color: #1D1D1B;
        box-shadow: none;
        font-weight: 700;
        font-size: 1.2rem;
        line-height: 2rem;
        border-radius: 18px;
        border-radius: 22px;
        display: inline-block;
        vertical-align: middle;
        background: transparent;
        padding: 7px 44px 7px 19px;
        border: 1px solid #E8EBF0;
        @include placeholder(#1D1D1B);
    
        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }
    
        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }
    }

    &__button {
        top: 50%;
        right: 20px;
        z-index: 10;
        width: 18px;
        height: 18px;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        margin-top: -9px;
        position: absolute;
        display: inline-block;
        background: transparent;

        .ico-svg {
            fill: #1D1D1B;
        }
    }

    @media (min-width: $screen-lg-min) {

    }
}

.page-home {

    .header {
        padding-top: 0;
        position: absolute;
        background: transparent;
        border-bottom: 1px solid rgba(255,255,255,0.3);
    
        &__social {
    
            a {
    
                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }
    
                &:hover {
                    
                    .ico-svg {
                        fill: rgba(255,255,255,1);
                    }
                }
            }
        }
    
        &__mobile {
    
            &--search {
                
                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }
    
                &:hover {
                    
                    .ico-svg {
                        fill: rgba(255,255,255,1);
                      }
                }
            }
    
            &--toggle {
                            
                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }
    
                &:hover {
                    
                    .ico-svg {
                        fill: rgba(255,255,255,1);
                    }
                }
            }
        }
        
        &__nav {    
    
            li {
    
                a {
                    opacity: 1;
                    color: rgba(255,255,255,0.85);
    
                    &:hover {
                        color: rgba(255,255,255,1);
                    }
                }
            }
        }
    }
    
    .nav {
        top: 80px;
        left: 0;
        right: 0;
        position: absolute;
        background: transparent;
        border-bottom: 1px solid rgba(255,255,255,0.3);
        box-shadow: none;
        
        &__row {
            height: 63px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }
    
        &__account {
            border: 1px solid rgba(255,255,255,0.7);
        }
    
        &__menu {
    
            > li {
    
                > a {
                    color: rgba(255,255,255,0.85);
    
                    &:hover {
                        color: rgba(255,255,255,1);
                    }
                }
            }
        }
    
        @media (min-width: $screen-lg-min) {
            display: block;
        }
    
        @media (min-width: $screen-xl-min) {
    
        }
    }
    
    .search {
        position: relative;
    
        &__input {
            color: #fff;
            border: 1px solid rgba(255, 255, 255, 0.85);
            @include placeholder(#fff);
        
            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }
    
        &__button {

            .ico-svg {
                fill: rgba(255, 255, 255, 0.85);
            }
        }
    }
    
}


// Blue Mobile Nav
/*
.nav-mobile {
    top: 0;
    right: 0;
    bottom: 0;
    width: 320px;
    z-index: 1500;
    position: fixed;
    overflow-y: auto;
    margin-right: -340px;
    background: #040D5F;
    padding: 40px 25px 40px 32px;
    display: flex;
    flex-direction: column;
    transition: 0.3s;

    &.open {
        margin-right: 0;
        transition: 0.3s;
    }

    &__close {
        top: 22px;
        right: 15px;
        width: 18px;
        height: 18px;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: absolute;
        display: inline-block;

        .ico-svg {
            fill: #fff;
        }
    }

    &__account {
        color: #fff;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        margin-bottom: 32px;
        text-decoration: none;
        display: flex;
        align-items: center;

        i {
            width: 26px;
            height: 26px;
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }

        span {
            opacity: 0.85;
            display: block;
            max-width: 100%;
            overflow: hidden;
            padding-left: 10px;
            text-overflow: ellipsis;
        }

        &:hover {
            color: #fff;
            text-decoration: none;
        }
    }

    &__search {
        margin-bottom: 30px;
    }

    &__menu {
        margin: 0 0 30px 0;
        padding: 0;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        list-style: none;
        flex-grow: 1;

        > li {
            margin-bottom: 20px;

            &:last-child {
                margin-bottom: 0;
            }

            > a {
                text-decoration: none;
                color: rgba(255,255,255,0.85);
                transition: .3s;
                display: flex;
                align-items: center;

                span {
                    display: block;
                }

                i {
                    width: 8px;
                    height: 16px;
                    font-size: 0;
                    line-height: 0;
                    display: block;
                    margin-left: 9px;
                }

                .ico-svg {
                    fill: #fff;
                }

                &:hover {
                    text-decoration: none;
                    color: rgba(255,255,255,0.85);
                }
            }

            > ul {
                margin: 0;
                display: none;
                padding: 15px 0 0 10px;
                list-style: none;

                > li {
                    margin-bottom: 15px;

                    > a {
                        text-decoration: none;
                        color: rgba(255,255,255,0.85);
                        transition: .3s;
    
                        &:hover {
                            text-decoration: none;
                            color: rgba(255,255,255,0.85);
                            transition: .3s;
                        }
                    }
                }
            }

            &:hover {

                > a {

                    i {
                        margin-top: -9px;
                        @include rotate(90deg);
                    }
                }

                ul {
                    display: block;
                }
            }
        }
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;

        a {
            height: 18px;
            margin-right: 10px;
            display: inline-block;

            .ico-svg {
                fill: rgba(255,255,255,0.85);
                transition: .3s;
            }

            &:hover {
                
                .ico-svg {
                    fill: rgba(255,255,255,1);
                    transition: .3s;
                }
            }
        }
    }
    
	@media (min-width: $screen-lg-min) {
		display: none;
	}
}

*/